【活用ガイド】

[English]

JVNDB-2019-000027

Apache Camel における XML 外部実体参照 (XXE) に関する脆弱性

概要

The Apache Software Foundation が提供する Apache Camel には、XML 外部実体参照 (XXE) に関する脆弱性 (CWE-611) が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: 三井物産セキュアディレクション株式会社 諌山 貴由 氏

CVSS による深刻度 (CVSS とは?)

CVSS v3 による深刻度
基本値: 5.8 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 不要
  • 利用者の関与: 不要
  • 影響の想定範囲: 変更あり
  • 機密性への影響(C): 低
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし
CVSS v2 による深刻度
基本値: 5.0 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし
影響を受けるシステム


Apache Software Foundation
  • Apache Camel 2.24.0 より前のバージョン

想定される影響

細工されたリクエストを処理することで、サーバ上の任意のファイルを読みとられる可能性があります。
対策

[アップデートする]
開発者が提供する情報をもとに最新版にアップデートしてください。
ベンダ情報

Apache Software Foundation
CWEによる脆弱性タイプ一覧  CWEとは?

  1. その他(CWE-Other) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2019-0188
参考情報

  1. JVN : JVN#71498764
更新履歴

  • [2019年5月22日]
      掲載